Update to sagemath 6.8

This commit is contained in:
pcpa 2015-12-22 12:50:40 -02:00
parent b4699213da
commit 3aa9b0c734
32 changed files with 806 additions and 615 deletions

View file

@ -1,7 +1,7 @@
diff -up src/bin/sage.orig src/bin/sage
--- src/bin/sage.orig 2015-04-03 14:45:35.718351593 -0300
+++ src/bin/sage 2015-04-03 14:54:09.029371249 -0300
@@ -13,11 +13,9 @@ usage() {
--- src/bin/sage.orig 2015-11-07 11:53:13.984795336 -0200
+++ src/bin/sage 2015-11-07 11:53:51.199796761 -0200
@@ -13,19 +13,15 @@ usage() {
echo " file.[sage|py|spyx] -- run given .sage, .py or .spyx file"
echo " -advanced -- list all command line options"
echo " -c <cmd> -- Evaluates cmd as sage code"
@ -10,10 +10,10 @@ diff -up src/bin/sage.orig src/bin/sage
echo " -gp [...] -- run Sage's PARI/GP calculator with given arguments"
echo " -h, -? -- print this help message"
- echo " -i [packages] -- install the given Sage packages"
echo " -pip [...] -- invoke pip, the Python package manager"
- echo " -pip [...] -- invoke pip, the Python package manager"
echo " -inotebook [...] -- start the *insecure* Sage notebook (deprecated)"
echo " -maxima [...] -- run Sage's Maxima with given arguments"
@@ -25,7 +23,6 @@ usage() {
echo " -mwrank [...] -- run Sage's mwrank with given arguments"
echo " --notebook=[...] -- start the Sage notebook (valid options are"
echo " 'default', 'sagenb', and 'ipython')"
echo " -n, --notebook -- shortcut for --notebook=default"
@ -21,29 +21,30 @@ diff -up src/bin/sage.orig src/bin/sage
echo " -python [...] -- run the Python interpreter"
echo " -R [...] -- run Sage's R with given arguments"
echo " -singular [...] -- run Sage's singular with given arguments"
@@ -41,10 +38,6 @@ usage() {
@@ -41,10 +37,6 @@ usage() {
echo " --optional - controls which optional tests are run"
echo " --sagenb - test all sagenb files"
echo " --help - show all testing options"
- echo " -upgrade [version] -- download, build and install the given version. Here,"
- echo " 'version' is a git branch or tag name. Useful values"
- echo " are 'master' (the currend development version, this"
- echo " are 'master' (the current development version, this"
- echo " is the default) or a version number like '5.13'."
echo " -v, -version -- print the Sage version"
echo " -v, -version -- display Sage version information"
exit 0
}
@@ -63,10 +56,7 @@ usage_advanced() {
@@ -63,11 +55,8 @@ usage_advanced() {
echo " -preparse <file.sage> -- preparse file.sage and produce corresponding file.sage.py"
echo " -q -- quiet; start with no banner"
echo " -root -- print the Sage root directory"
- echo " -gthread, -qthread, -q4thread, -wthread, -pylab"
- echo " -- pass the option through to ipython"
echo " -v, -version -- print the Sage version"
echo " -v, -version -- display Sage version information"
echo " -dumpversion -- print Sage version"
- echo " -git-branch -- print the current git branch"
echo
#### 1.......................26..................................................78
@@ -76,8 +66,6 @@ usage_advanced() {
@@ -77,8 +66,6 @@ usage_advanced() {
echo " 'default', 'sagenb', and 'ipython'). See the output"
echo " of sage --notebook --help for more details and"
echo " examples of how to pass optional arguments"
@ -52,7 +53,7 @@ diff -up src/bin/sage.orig src/bin/sage
echo " -inotebook [...] -- start the *insecure* Sage notebook (deprecated)"
echo " -n, -notebook [...] -- start the default Sage notebook (options are the"
echo " same as for the notebook command in Sage). See the"
@@ -95,13 +83,9 @@ usage_advanced() {
@@ -96,13 +83,9 @@ usage_advanced() {
echo " -gp [...] -- run Sage's PARI/GP calculator with given arguments"
echo " -ipython [...] -- run Sage's IPython using the default environment (not"
echo " Sage), passing additional options to IPython"
@ -66,7 +67,7 @@ diff -up src/bin/sage.orig src/bin/sage
echo " -maxima [...] -- run Sage's Maxima with given arguments"
echo " -mwrank [...] -- run Sage's mwrank with given arguments"
echo " -python [...] -- run the Python interpreter"
@@ -115,44 +99,7 @@ usage_advanced() {
@@ -116,45 +99,7 @@ usage_advanced() {
echo
#### 1.......................26..................................................78
#### |.....................--.|...................................................|
@ -90,8 +91,9 @@ diff -up src/bin/sage.orig src/bin/sage
- #echo " -update-build -- build and install all downloaded non-optional Sage packages"
- echo " -upgrade [version] -- download, build and install the given version. Here,"
- echo " 'version' is a git branch or tag name. Useful values"
- echo " are 'master' (the currend development version, this"
- echo " are 'master' (the current development version, this"
- echo " is the default) or a version number like '5.13'."
- echo " -pip [...] -- invoke pip, the Python package manager"
-
- echo
- #### 1.......................26..................................................78
@ -112,15 +114,7 @@ diff -up src/bin/sage.orig src/bin/sage
echo " -startuptime [module] -- display how long each component of Sage takes to"
echo " start up; optionally specify a module to get more"
echo " details about that particular module"
@@ -163,7 +110,6 @@ usage_advanced() {
echo " --verbose - print debugging output during the test"
echo " --optional - controls which optional tests are run"
echo " --randorder[=seed] - randomize order of tests"
- echo " --new - only test files modified since last commit"
echo " --initial - only show the first failure per block"
echo " --debug - drop into PDB after an unexpected error"
echo " --failed - only test files that failed last test"
@@ -182,7 +128,6 @@ usage_advanced() {
@@ -184,7 +129,6 @@ usage_advanced() {
echo " -coverage <files> -- give info about doctest coverage of files"
echo " -coverageall -- give summary info about doctest coverage of all"
echo " files in the Sage library"
@ -128,12 +122,12 @@ diff -up src/bin/sage.orig src/bin/sage
echo " -search_src <string> -- search through all the Sage library code for string"
echo " -search_doc <string> -- search through the Sage documentation for string"
echo " -grep <string> -- same as -search_src"
@@ -202,15 +147,6 @@ usage_advanced() {
@@ -204,15 +148,6 @@ usage_advanced() {
echo
#### 1.......................26..................................................78
#### |.....................--.|...................................................|
- echo "Making Sage packages or distributions:"
- echo " -bdist VER -- build a binary distribution of Sage"
- echo " -bdist <tmpdir> -- build a binary distribution of Sage"
- echo " -pkg <dir> -- create Sage package dir.spkg from a given directory"
- echo " -pkg_nc <dir> -- as -pkg, but do not compress the package"
- echo " -sdist -- build a source distribution of Sage"
@ -144,7 +138,7 @@ diff -up src/bin/sage.orig src/bin/sage
echo "Valgrind memory debugging:"
echo " -cachegrind -- run Sage using Valgrind's cachegrind tool. The log"
echo " files are named sage-cachegrind.PID can be found in"
@@ -224,9 +160,6 @@ usage_advanced() {
@@ -226,9 +161,6 @@ usage_advanced() {
echo " -memcheck -- run Sage using Valgrind's memcheck tool. The log"
echo " files are named sage-memcheck.PID can be found in"
echo " $DOT_SAGE"
@ -154,7 +148,17 @@ diff -up src/bin/sage.orig src/bin/sage
echo " -valgrind -- this is an alias for -memcheck"
echo
echo "You can also use -- before a long option, e.g., 'sage --optional'."
@@ -246,34 +179,6 @@ if [ "$1" = '--nodotsage' ]; then
@@ -236,9 +168,6 @@ usage_advanced() {
exit 0
}
-# Check for '--nodotsage' before sourcing sage-env; otherwise sage-env
-# will already have set some environment variables with the old
-# setting for DOT_SAGE.
if [ "$1" = '--nodotsage' ]; then
export DOT_SAGE=`mktemp -d ${TMPDIR:-/tmp}/dotsageXXXXXX`
shift
@@ -248,34 +177,6 @@ if [ "$1" = '--nodotsage' ]; then
exit $status
fi
@ -189,10 +193,11 @@ diff -up src/bin/sage.orig src/bin/sage
if [ $# -gt 0 ]; then
if [ "$1" = '-h' -o "$1" = '-?' -o "$1" = '-help' -o "$1" = '--help' ]; then
usage
@@ -286,24 +191,11 @@ fi
@@ -287,25 +188,11 @@ fi
# Prepare for running Sage, either interactively or non-interactively.
sage_setup() {
# Check that we're not in a source tarball which hasn't been built yet (#13561).
- # Check that we're not in a source tarball which hasn't been built yet (#13561).
- if [ ! -d "$SAGE_LOCAL/lib/python/site-packages/sage" ]; then
- echo >&2 '************************************************************************'
- echo >&2 'It seems that you are attempting to run Sage from an unpacked source'
@ -214,11 +219,10 @@ diff -up src/bin/sage.orig src/bin/sage
if [ ! -d "$IPYTHONDIR" ]; then
# make sure that $DOT_SAGE exists so that ipython will happily
# create its config directories there. If DOT_SAGE doesn't
@@ -313,21 +205,6 @@ sage_setup() {
sage-cleaner &>/dev/null &
@@ -316,20 +203,6 @@ sage_setup() {
}
-
-# Check to see if the whole Sage install tree has moved. If so,
-# change various hardcoded paths. Skip this if we don't have write
-# access to $SAGE_LOCAL (e.g. when running as a different user) or
@ -236,7 +240,7 @@ diff -up src/bin/sage.orig src/bin/sage
# Start an interactive Sage session, this function never returns.
interactive_sage() {
sage_setup
@@ -389,7 +266,7 @@ fi
@@ -396,7 +269,7 @@ fi
if [ "$1" = '-singular' -o "$1" = '--singular' ]; then
shift
@ -245,7 +249,7 @@ diff -up src/bin/sage.orig src/bin/sage
fi
if [ "$1" = '-sqlite3' -o "$1" = '--sqlite3' ]; then
@@ -417,16 +294,6 @@ if [ "$1" = '-lisp' -o "$1" = '--lisp' ]
@@ -424,16 +297,6 @@ if [ "$1" = '-lisp' -o "$1" = '--lisp' ]
exec ecl "$@"
fi
@ -262,19 +266,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-maxima' -o "$1" = '--maxima' ]; then
shift
exec maxima "$@"
@@ -447,11 +314,6 @@ if [ "$1" = '-scons' -o "$1" = '--scons'
exec scons "$@"
fi
-if [ "$1" = '-pip' -o "$1" = '--pip' ]; then
- shift
- exec pip "$@"
-fi
-
if [ "$1" = '-python' -o "$1" = '--python' ]; then
shift
exec python "$@"
@@ -467,16 +329,6 @@ if [ "$1" = '-ipython' -o "$1" = '--ipyt
@@ -474,16 +337,6 @@ if [ "$1" = '-ipython' -o "$1" = '--ipyt
exec ipython "$@"
fi
@ -291,7 +283,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-sh' -o "$1" = '--sh' ]; then
# AUTHORS:
# - Carl Witty and William Stein: initial version
@@ -596,20 +448,6 @@ EOF
@@ -603,20 +456,6 @@ EOF
fi
#####################################################################
@ -312,19 +304,19 @@ diff -up src/bin/sage.orig src/bin/sage
# File conversion
#####################################################################
@@ -627,11 +465,6 @@ fi
@@ -634,11 +473,6 @@ fi
# Run Sage's versions of the standard Algebra/Geometry etc. software
#####################################################################
-build_sage() {
- maybe_sage_location
- sage-build "$@" || exit $?
- ( cd "$SAGE_SRC" && $MAKE ) || exit $?
-}
-
if [[ "$1" =~ ^--notebook=.* || "$1" =~ ^-n=.* || "$1" =~ ^-notebook=.* ]] ; then
sage-cleaner &>/dev/null &
exec sage-notebook "$@"
@@ -642,13 +475,6 @@ if [ "$1" = "-notebook" -o "$1" = '--not
@@ -649,13 +483,6 @@ if [ "$1" = "-notebook" -o "$1" = '--not
exec sage-notebook "$@"
fi
@ -338,19 +330,17 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = "-inotebook" -o "$1" = '--inotebook' ]; then
shift
sage-cleaner &>/dev/null &
@@ -667,40 +493,19 @@ if [ "$1" = '-grepdoc' -o "$1" = "--grep
@@ -674,31 +501,12 @@ if [ "$1" = '-grepdoc' -o "$1" = "--grep
exit 0
fi
-if [ "$1" = '-b' ]; then
- shift
- time build_sage "$@"
- time build_sage
- exit $?
-fi
-
-if [ "$1" = '-br' -o "$1" = "--br" ]; then
- shift
- build_sage "$@"
- build_sage
- interactive_sage
-fi
-
@ -360,8 +350,8 @@ diff -up src/bin/sage.orig src/bin/sage
fi
-if [ "$1" = '-ba' -o "$1" = '-ba-force' -o "$1" = '--ba-force' ]; then
- shift
- build_sage -b "$@"
- ( cd "$SAGE_SRC" && make clean )
- build_sage
- exit $?
-fi
-
@ -373,15 +363,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ ! -f "$DOT_SAGE"/init.sage ]; then
echo >&2 "init.sage does not exist ... creating"
touch "$DOT_SAGE"/init.sage
fi
SAGE_BANNER="no"
sage_setup
- if [ "$1" = '-tp' -o "$1" = '-btp' ]; then
+ if [ "$1" = '-tp' ]; then
shift
exec sage-runtests -p "$@"
else
@@ -709,16 +514,6 @@ if [ "$1" = '-t' -o "$1" = '-bt' -o "$1"
@@ -715,17 +523,6 @@ if [ "$1" = '-t' -o "$1" = '-bt' -o "$1"
fi
fi
@ -392,13 +374,14 @@ diff -up src/bin/sage.orig src/bin/sage
- shift
- SAGE_BANNER="no"
- sage_setup
- export PYTHONIOENCODING="utf-8" # Fix encoding for doctests
- exec sage-runtests --new "$@"
-fi
-
if [ "$1" = '-testall' -o "$1" = "--testall" ]; then
shift
SAGE_BANNER="no"
@@ -734,136 +529,6 @@ if [ "$1" = '-c' ]; then
@@ -742,140 +539,6 @@ if [ "$1" = '-c' ]; then
exec sage-eval "$@"
fi
@ -432,7 +415,7 @@ diff -up src/bin/sage.orig src/bin/sage
- PKG_NAME=`echo "$PKG" | sed -e "s/\.spkg$//"`
- PKG_NAME=`basename "$PKG_NAME"`
-
- "$SAGE_ROOT"/build/pipestatus \
- "$SAGE_ROOT"/build/make/pipestatus \
- "sage-spkg $OPTINFO $OPTF $OPTS $OPTC '$PKG' 2>&1" \
- "(trap '' SIGINT; tee -a '$SAGE_ROOT/logs/install.log' '$SAGE_LOGS/$PKG_NAME.log')"
- # Do not try to install further packages if one failed
@ -452,19 +435,23 @@ diff -up src/bin/sage.orig src/bin/sage
-}
-
-if [ "$1" = '-optional' -o "$1" = "--optional" ]; then
- exec sage-list-packages optional
- shift
- exec sage-list-packages optional $@
-fi
-
-if [ "$1" = '-experimental' -o "$1" = "--experimental" ]; then
- exec sage-list-packages experimental
- shift
- exec sage-list-packages experimental $@
-fi
-
-if [ "$1" = '-standard' -o "$1" = "--standard" ]; then
- exec sage-list-packages standard
- shift
- exec sage-list-packages standard $@
-fi
-
-if [ "$1" = '-installed' -o "$1" = "--installed" ]; then
- exec sage-list-packages installed
- shift
- exec sage-list-packages installed $@
-fi
-
-if [ "$1" = '-i' ]; then
@ -535,7 +522,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-gdb' -o "$1" = "--gdb" ]; then
shift
sage_setup
@@ -912,26 +577,10 @@ if [ "$1" = '-callgrind' -o "$1" = "--ca
@@ -924,31 +587,11 @@ if [ "$1" = '-callgrind' -o "$1" = "--ca
exec sage-callgrind "$@"
fi
@ -560,12 +547,17 @@ diff -up src/bin/sage.orig src/bin/sage
-fi
-
if [ $# -ge 1 ]; then
T=`echo "$1" | sed -e "s/.*\.//"`
if [ "$T" = "spkg" ]; then
- T=`echo "$1" | sed -e "s/.*\.//"`
- if [ "$T" = "spkg" ]; then
- install "$@"
- fi
SAGE_BANNER="no"
sage_setup
unset TERM # See Trac #12263
diff -up src/bin/sage-runtests.orig src/bin/sage-runtests
--- src/bin/sage-runtests.orig 2015-04-03 14:45:48.439352080 -0300
+++ src/bin/sage-runtests 2015-04-03 14:54:20.773371699 -0300
@@ -54,10 +54,6 @@ if __name__ == "__main__":
--- src/bin/sage-runtests.orig 2015-11-07 11:53:13.991795336 -0200
+++ src/bin/sage-runtests 2015-11-07 11:53:18.458795507 -0200
@@ -55,10 +55,6 @@ if __name__ == "__main__":
help="run doctests using Valgrind's cachegrind tool. The log "
"files are named sage-cachegrind.PID and can be found in " +
os.path.join(os.environ["DOT_SAGE"], "valgrind"))
@ -577,8 +569,8 @@ diff -up src/bin/sage-runtests.orig src/bin/sage-runtests
parser.add_option("-f", "--failed", action="store_true", default=False,
help="doctest only those files that failed in the previous run")
diff -up src/bin/sage-valgrind.orig src/bin/sage-valgrind
--- src/bin/sage-valgrind.orig 2015-04-03 14:45:55.318352343 -0300
+++ src/bin/sage-valgrind 2015-04-03 14:54:41.525372494 -0300
--- src/bin/sage-valgrind.orig 2015-11-07 11:53:13.997795336 -0200
+++ src/bin/sage-valgrind 2015-11-07 11:53:18.458795507 -0200
@@ -1,16 +1,6 @@
#!/usr/bin/env bash